Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1614440

Summary: mmkubernetes - add rulebase files as docs
Product: [Fedora] Fedora Reporter: Rich Megginson <rmeggins>
Component: rsyslogAssignee: Jiří Vymazal <jvymazal>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 28CC: dkopecek, extras-qa, jlieskov, jvymazal, lkundrak, mah.darade, rsroka, tosykora
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rsyslog-8.38.0-1.fc28 rsyslog-8.38.0-1.fc27 rsyslog-8.38.0-1.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1564077
: 1614441 (view as bug list) Environment:
Last Closed: 2018-10-16 11:38:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1564077    
Bug Blocks: 1614441    

Description Rich Megginson 2018-08-09 15:09:05 UTC
in the %install section, add this

+install -p -m 644 contrib/mmkubernetes/*.rulebase %{buildroot}%{rsyslog_docdir}

then add this

%files mmkubernetes
%{_libdir}/rsyslog/mmkubernetes.so
+%doc %{rsyslog_docdir}/k8s_filename.rulebase
+%doc %{rsyslog_docdir}/k8s_container_name.rulebase

Comment 2 Rich Megginson 2018-10-09 15:39:32 UTC
Fixed in 8.37.0-1

Comment 3 Fedora Update System 2018-10-10 11:36:23 UTC
rsyslog-8.38.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-81c473ed78

Comment 4 Fedora Update System 2018-10-10 11:36:40 UTC
rsyslog-8.38.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b32e6c84d

Comment 5 Fedora Update System 2018-10-10 11:36:58 UTC
rsyslog-8.38.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e4c9fcfcd

Comment 6 Fedora Update System 2018-10-10 15:50:39 UTC
rsyslog-8.38.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-81c473ed78

Comment 7 Fedora Update System 2018-10-10 23:20:06 UTC
rsyslog-8.38.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3b32e6c84d

Comment 8 Fedora Update System 2018-10-10 23:27:01 UTC
rsyslog-8.38.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e4c9fcfcd

Comment 9 Fedora Update System 2018-10-16 11:38:54 UTC
rsyslog-8.38.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-19 15:49:49 UTC
rsyslog-8.38.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-10-30 17:23:45 UTC
rsyslog-8.38.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.